> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Payment

> List all payment rules defined by channel




## OpenAPI

````yaml /openapi/scx/seller.json get /v1/seller/meta/{channel}/payment-rules
openapi: 3.0.2
info:
  title: SCX Seller API
  version: '1.0'
  x-logo:
    url: https://scx-sandbox.ui.jtl-software.com/docs/scx.png
  description: |
    SCX Seller API
servers:
  - url: https://scx-sbx.api.jtl-software.com
    description: Sandbox Environment
security: []
tags:
  - name: Account
    description: Seller account management
  - name: Offer
    description: Seller offer management
  - name: Events
    description: Channel and system events for the seller
  - name: Meta
    description: Channel meta information (categories, attributes, rules)
  - name: Order
    description: Order processing, payments, shipping, cancellations and refunds
  - name: Report
    description: Seller report generation and retrieval
  - name: Ticket
    description: Channel ticket management
paths:
  /v1/seller/meta/{channel}/payment-rules:
    get:
      tags:
        - Meta
      summary: Channel Payment
      description: |
        List all payment rules defined by channel
      operationId: GetChannelPaymentRules
      parameters:
        - in: path
          required: true
          name: channel
          description: >-
            Channel identifier the payment rules are requested for (e.g.
            `MBDCOM`)
          schema:
            type: string
      responses:
        '200':
          $ref: '#/components/responses/ChannelPaymentRulesMeta'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '429':
          $ref: '#/components/responses/RequestThrottled'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - SellerAuth: []
components:
  responses:
    ChannelPaymentRulesMeta:
      description: Payment Rules
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ChannelPaymentRulesMeta'
    AccessForbidden:
      description: Access forbidden, invalid or unknown Token was used.
    RequestThrottled:
      description: User has send to many requests
    ServerError:
      description: Unexpected Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponseList'
          example:
            errorList:
              - code: GEN500
                message: Internal Server Error
                severity: error
                hint: null
  schemas:
    ChannelPaymentRulesMeta:
      description: >-
        Payment rules supported by the channel — list of accepted payment
        methods.
      type: object
      title: ChannelPaymentRulesMeta
      properties:
        supportedPaymentMethodList:
          type: array
          items:
            $ref: '#/components/schemas/SupportedPaymentMethod'
    ErrorResponseList:
      type: object
      properties:
        errorList:
          nullable: true
          type: array
          example:
            - code: GEN700
              message: Seller SELLER_4711 does not exist on channel kaufland.
              severity: error
              hint: i9n-order22
          items:
            title: Error
            type: object
            properties:
              code:
                type: string
                example: GEN700
              message:
                type: string
                example: Seller SELLER_4711 does not exist on channel kaufland.
              severity:
                type: string
                enum:
                  - error
                  - warning
                  - info
                default: error
              hint:
                type: string
                nullable: true
                example: i9n-order22
    SupportedPaymentMethod:
      type: object
      required:
        - paymentMethodId
      properties:
        paymentMethodId:
          type: string
          minLength: 1
          maxLength: 100
          example: PM011
        displayName:
          type: string
          maxLength: 150
          example: CreditCard
  securitySchemes:
    SellerAuth:
      description: >
        Bearer JWT issued to a seller after they sign up for a JTL-Scx
        subscription via the JTL

        Customer Center. Usage format: `Bearer <JWT>`.
      type: http
      scheme: bearer
      bearerFormat: JWT

````